Summary:	PowerDNS is a Versatile Database Driven Nameserver
Name:		pdns
Version:	2.9.20
Release:	%mkrel 4
License:	GPL
Group:		System/Servers
URL:		http://www.powerdns.com/
Source0:	http://downloads.powerdns.com/releases/pdns-%{version}.tar.bz2
# wget -rm http://rtfm.powerdns.com
Source1:	rtfm.powerdns.com.tar.bz2
Patch0:		pdns-2.9.7-init.patch
Patch1:		pdns-2.9.18-avoid-version.diff
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRequires:	MySQL-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gdbm-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtdb-devel
BuildRequires:	openldap-devel
BuildRequires:	openssl-devel
BuildRequires:	postgresql-devel
BuildRequires:	sqlite-devel
BuildRequires:	zlib-devel
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7
BuildRequires:	boost-devel
#BuildRequires:	docbook-utils-pdf
Provides:	nameserver powerdns PowerDNS
Obsoletes:	nameserver powerdns PowerDNS
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
PowerDNS is a versatile nameserver which supports a large number
of different backends ranging from simple zonefiles to relational
databases and load balancing/failover algorithms.

It comes with support for MySQL, PostgreSQL, Bind zonefiles and the 'pipe
backend' availible as external packages.

%package	backend-pipe
Summary:	Pipe/coprocess backend for %{name}
Group:		System/Servers
Provides:	PowerDNS-backend-pipe
Obsoletes:	PowerDNS-backend-pipe
Requires:	%{name} = %{version}

%description	backend-pipe
This package contains the pipe backend for the PowerDNS nameserver. This
allows PowerDNS to retrieve domain info from a process that accepts
questions on stdin and returns answers on stdout. 

%package	backend-mysql
Summary:	MySQL backend for %{name}
Group:		System/Servers
Provides:	PowerDNS-backend-mysql
Obsoletes:	PowerDNS-backend-mysql
Requires:	%{name} = %{version}

%description	backend-mysql
This package contains a MySQL backend for the PowerDNS nameserver.

%package	backend-pgsql
Summary:	Generic PostgreSQL backend for %{name}
Group:		System/Servers
Provides:	PowerDNS-backend-pgsql
Obsoletes:	PowerDNS-backend-pgsql
Requires:	%{name} = %{version}

%description	backend-pgsql
This package contains a generic PostgreSQL backend 
for the PowerDNS nameserver. It has configurable SQL statements.

%package	backend-xdb
Summary:	XDB/tdb/gdb backend for %{name}
Group:		System/Servers
Provides:	PowerDNS-backend-xdb
Obsoletes:	PowerDNS-backend-xdb
Requires:	%{name} = %{version}

%description	backend-xdb
This package contains a table backend for PowerDNS. Currently includes TDB,
the Trivial Database or Tridgell Database.

%package	backend-ldap
Summary:	LDAP backend for %{name}
Group:		System/Servers
Provides:	PowerDNS-backend-ldap
Obsoletes:	PowerDNS-backend-ldap
Requires:	%{name} = %{version}

%description	backend-ldap
This package contains a LDAP backend for the PowerDNS nameserver.

%package	backend-sqlite
Summary:	SQLite backend for %{name}
Group:		System/Servers
Provides:	PowerDNS-backend-sqlite
Obsoletes:	PowerDNS-backend-sqlite
Requires:	%{name} = %{version}

%description	backend-sqlite
This package contains a SQLite backend for the PowerDNS nameserver.

%package	backend-geo
Summary:	GEO backend for %{name}
Group:		System/Servers
Provides:	PowerDNS-backend-geo
Obsoletes:	PowerDNS-backend-geo
Requires:	%{name} = %{version}

%description	backend-geo
This package contains a geo backend for the PowerDNS nameserver.

%package	devel
Summary:	Development headers and libraries for %{name}
Group:		System/Servers
Requires:	%{name} = %{version}
Requires:	%{name}-backend-pipe = %{version}
Requires:	%{name}-backend-mysql = %{version}
Requires:	%{name}-backend-pgsql = %{version}
Requires:	%{name}-backend-xdb = %{version}
Requires:	%{name}-backend-ldap = %{version}
Requires:	%{name}-backend-sqlite = %{version}
Provides:	PowerDNS-devel
Obsoletes:	PowerDNS-devel

%description	devel
Development headers and libraries for %{name}

%prep

%setup -q -n pdns-%{version} -a1
%patch0 -p0
%patch1 -p1

# lib64 fix
find -type f -name "configure.in" | xargs perl -pi -e "s|/lib/|/%{_lib}/|g"
find -type f -name "configure.in" | xargs perl -pi -e "s|/lib\ |/%{_lib}\ |g"
find -type f -name "configure.in" | xargs perl -pi -e "s|/lib\"|/%{_lib}\"|g"

%build
#%%define __libtoolize /bin/true
export WANT_AUTOCONF_2_5=1
touch NEWS AUTHORS
libtoolize --copy --force; aclocal-1.7; autoconf; automake-1.7 --copy --add-missing

export CFLAGS="%{optflags} -DLDAP_DEPRECATED"
export CXXFLAGS="%{optflags} -DLDAP_DEPRECATED"

%configure2_5x \
    --sysconfdir=%{_sysconfdir}/powerdns \
    --libdir=%{_libdir}/powerdns \
    --with-socketdir=/var/run/powerdns \
    --with-dynmodules="gmysql gpgsql pipe xdb ldap gsqlite geo" \
    --with-modules="" \
    --with-mysql=%{_prefix} \
    --with-pgsql=%{_prefix} \
    --with-sqlite=%{_prefix} \
    --with-sqlite-includes=%{_includedir}

# why is this nessesary all of a sudden?
#find . -type f -name "Makefile" | xargs perl -pi -e "s|-pthread|-lpthread|g"

# parallell build's broken now?
make

# this might work someday..., meanwhile use S1
#pushd pdns/docs
#    make
#popd

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

# don't fiddle with the initscript!
export DONT_GPRINTIFY=1

%makeinstall_std

install -d %{buildroot}/var/run/powerdns

# fix the config
mv %{buildroot}%{_sysconfdir}/powerdns/pdns.conf-dist %{buildroot}%{_sysconfdir}/powerdns/pdns.conf

cat >> %{buildroot}%{_sysconfdir}/powerdns/pdns.conf << EOF
module-dir=%{_libdir}/powerdns
socket-dir=/var/run/powerdns
setuid=powerdns
setgid=powerdns
launch=bind
#recursor=127.0.0.1:5300
EOF

chmod 600 %{buildroot}%{_sysconfdir}/powerdns/pdns.conf

# install sysv scripts
install -d %{buildroot}%{_initrddir}
install -m755 pdns/pdns %{buildroot}%{_initrddir}/powerdns

%pre
%_pre_useradd powerdns /var/lib/powerdns /bin/false

%post
%_post_service powerdns

%preun
%_preun_service powerdns

%postun
%_postun_userdel powerdns

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog HACKING INSTALL README TODO rtfm.powerdns.com
%config(noreplace) %attr(0600,root,root) %{_sysconfdir}/powerdns/pdns.conf
%attr(0755,root,root) %{_initrddir}/powerdns
%dir %{_sysconfdir}/powerdns
%dir %{_libdir}/powerdns
%dir %attr(0755,powerdns,powerdns) /var/run/powerdns
%{_bindir}/pdns_control
%{_bindir}/xdb-fill
%{_bindir}/zone2sql
%{_bindir}/zone2ldap
%{_sbindir}/pdns_server
%{_mandir}/man8/pdns_control.8*
%{_mandir}/man8/pdns_server.8*
%{_mandir}/man8/zone2sql.8*

%files backend-pipe
%defattr(-,root,root)
%{_libdir}/powerdns/libpipebackend.so

%files backend-mysql
%defattr(-,root,root)
%{_libdir}/powerdns/libgmysqlbackend.so

%files backend-pgsql
%defattr(-,root,root)
%{_libdir}/powerdns/libgpgsqlbackend.so

%files backend-xdb
%defattr(-,root,root)
%{_libdir}/powerdns/libxdbbackend.so

%files backend-ldap
%defattr(-,root,root)
%{_libdir}/powerdns/libldapbackend.so

%files backend-sqlite
%defattr(-,root,root)
%{_libdir}/powerdns/libgsqlitebackend.so

%files backend-geo
%defattr(-,root,root)
%doc modules/geobackend/README
%{_libdir}/powerdns/libgeobackend.so

%files devel
%defattr(-,root,root)
#%{_libdir}/powerdns/*.so
%{_libdir}/powerdns/*.la
%{_libdir}/powerdns/*.a


%changelog
* Fri Jan 19 2007 Oden Eriksson <oeriksson@mandriva.com> 2.9.20-4mdv2007.0
+ Revision: 110707
- rebuilt against new postgresql libs
- remove lies in the description

* Fri Dec 08 2006 Oden Eriksson <oeriksson@mandriva.com> 2.9.20-3mdv2007.1
+ Revision: 93708
- Import pdns



* Mon Sep 04 2006 Oden Eriksson <oeriksson@mandriva.com> 2.9.20-1mdv2007.0
- rebuilt against MySQL-5.0.24a-1mdv2007.0 due to ABI changes

* Wed May 24 2006 Oden Eriksson <oeriksson@mandriva.com> 2.9.20-2mdk
- move the recursor to a stand alone package

* Fri Apr 21 2006 Oden Eriksson <oeriksson@mandriva.com> 2.9.20-1mdk
- 2.9.20
- drop upstream patches; P10-P17

* Tue Jan 24 2006 Oden Eriksson <oeriksson@mandriva.com> 2.9.19-3mdk
- added debian patches (P10-P17)

* Fri Nov 18 2005 Oden Eriksson <oeriksson@mandriva.com> 2.9.19-2mdk
- rebuilt against openssl-0.9.8a

* Tue Nov 01 2005 Oden Eriksson <oeriksson@mandriva.com> 2.9.19-1mdk
- 2.9.19 (Major bugfixes)
- new docs (S1)
- fix deps
- drop upstream patches; P2

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.9.18-3mdk
- rebuilt against MySQL-5.0.15

* Tue Aug 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.9.18-2mdk
- rebuilt against new openldap-2.3.6 libs
- pass "-DLDAP_DEPRECATED" to the CFLAGS

* Sat Jul 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.9.18-1mdk
- 2.9.18
- rediff P1
- drop upstream applied patches (P2,P3)
- renamed to pdns-*
- fix deps
- added P2 from svn to make it compile with gcc4
- updated the manual (S1)

* Wed May 04 2005 Oden Eriksson <oeriksson@mandriva.com> 2.9.17-7mdk
- lib64 fixes
- added P3 to make it build on x86_64 (vdanen)

* Wed Apr 20 2005 Oden Eriksson <oeriksson@mandriva.com> 2.9.17-6mdk
- rebuilt against new postgresql libs
- rpmlint fixes

* Tue Feb 08 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.9.17-5mdk
- rebuild for ldap2.2_7

* Fri Feb  4 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9.17-4mdk
- rebuilt against new openldap libs

* Mon Jan 24 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9.17-3mdk
- rebuilt against MySQL-4.1.x and PostgreSQL-8.x system libs

* Thu Jan 13 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9.17-2mdk
- added the forgotten geo backend sub package
- added new docs

* Wed Jan 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9.17-1mdk
- 2.9.17
- rediffed P1 & P2
- drop P3, it's included

* Sat Jul 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9.16-2mdk
- rebuilt against new deps and with gcc v3.4.x
- remove obsolete pq++ requirements (new P2)
- added P3
- use libtool magic
- misc spec file fixes

* Fri Apr 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9.16-1mdk
- 2.9.16
- rediffed P1

* Thu Dec 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.9.13-1mdk
- 2.9.13
- new S1, added P2

* Fri Oct 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.9.12-1mdk
- 2.9.12
- sqlite support, new S1, added P1
- drop the static-devel sub package
- fix explicit-lib-dependency & invalid-build-requires
- thanks to Charles A Edwards for reminding me about the libtool stuff

* Sat Aug 23 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.9.11-1mdk
- 2.9.11

* Wed Jul 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.9.10-1mdk
- 2.9.10
- rebuilt against new openldap, etc.
- spec file hack to make it build
- new S1
- no linking against sasl is done here, so remove this dependency

* Sun Jun 29 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.9.8-2mdk
- built against new PostgreSQL libs
- use macros
- misc spec file fixes

* Fri May 02 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.9.8-1mdk
- 2.9.8
- new S1
- misc spec file fixes

* Sat Mar 29 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.9.7-3mdk
- fix S2 (run as the powerdns user, thanks bugzilla-mandrake@bkor.dhs.org)
- fix P0 to reflect socketdir location

* Wed Mar 26 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.9.7-2mdk
- fix #3517 (as an optional subpackage)
- fix socketdir

* Sun Mar 23 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.9.7-1mdk
- 2.9.7
- fresh S1

* Tue Mar 11 2003 Marcel Pol <mpol@gmx.net> 2.9.6-3mdk
- conflicts: tmdns

* Mon Mar 10 2003 Marcel Pol <mpol@gmx.net> 2.9.6-2mdk
- buildreq: libgdbm2-devel

* Mon Feb 17 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.9.6-1mdk
- 2.9.6
- added the backend-ldap sub package
- misc spec file fixes
- built against latest requires and buildrequires

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.9.4-1mdk
- 2.9.4
- added missing stuff in %{_bindir}/
- broke out the modules into separate sub packages, used the
  debian descriptions
- added development sub packages
- misc spec file fixes

* Tue Dec 17 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.9.2-1mdk
- initial cooker contrib (i cross my fingers that it works on first try...)
